Bug 11765 - Build failure on AIX 7.1.3, lib/resolv_wrapper/resolv_wrapper.c
Build failure on AIX 7.1.3, lib/resolv_wrapper/resolv_wrapper.c
Status: RESOLVED FIXED
Product: cwrap
Classification: Unclassified
Component: library
unspecified
PPC AIX
: P5 normal
: ---
Assigned To: Andreas Schneider
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-01 16:27 UTC by Guillaume Xavier Taillon
Modified: 2017-08-07 07:47 UTC (History)
1 user (show)

See Also:


Attachments
Proposed patch (1.21 KB, patch)
2016-03-01 16:29 UTC, Guillaume Xavier Taillon
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guillaume Xavier Taillon 2016-03-01 16:27:06 UTC
Build failure on AIX 7.1.3, lib/resolv_wrapper/resolv_wrapper.c
AIX Version: 7100-03-05-1524
XLC Version: 13.01.0003.0000
Samba Version: 4.3.5

make fails with --enable-selftest or --enable-developer

There are two missing headers <arpa/nameser.h> and <sys/socket.h> and a statement that is excluded from a directive (see patch).

make log:

[1848/3437] Compiling lib/resolv_wrapper/resolv_wrapper.c
"../lib/resolv_wrapper/resolv_wrapper.c", line 191.30: 1506-045 (S) Undeclared
identifier ns_t_invalid.
"../lib/resolv_wrapper/resolv_wrapper.c", line 201.24: 1506-045 (S) Undeclared
identifier AF_INET.
"../lib/resolv_wrapper/resolv_wrapper.c", line 209.20: 1506-045 (S) Undeclared
identifier ns_t_a.
"../lib/resolv_wrapper/resolv_wrapper.c", line 219.24: 1506-045 (S) Undeclared
identifier AF_INET6.
"../lib/resolv_wrapper/resolv_wrapper.c", line 227.20: 1506-045 (S) Undeclared
identifier ns_t_aaaa.
"../lib/resolv_wrapper/resolv_wrapper.c", line 266.20: 1506-045 (S) Undeclared
identifier ns_t_srv.
"../lib/resolv_wrapper/resolv_wrapper.c", line 310.20: 1506-045 (S) Undeclared
identifier ns_t_soa.
"../lib/resolv_wrapper/resolv_wrapper.c", line 320.20: 1506-045 (S) Undeclared
identifier ns_t_cname.
"../lib/resolv_wrapper/resolv_wrapper.c", line 329.9: 1506-045 (S) Undeclared
identifier HEADER.
"../lib/resolv_wrapper/resolv_wrapper.c", line 329.17: 1506-045 (S) Undeclared
identifier h.
"../lib/resolv_wrapper/resolv_wrapper.c", line 331.25: 1506-045 (S) Undeclared
identifier NS_HFIXEDSZ.
"../lib/resolv_wrapper/resolv_wrapper.c", line 339.22: 1506-275 (S) Unexpected
text ')' encountered.
"../lib/resolv_wrapper/resolv_wrapper.c", line 339.26: 1506-277 (S) Syntax
error: possible missing ')' or ','?
"../lib/resolv_wrapper/resolv_wrapper.c", line 379.18: 1506-045 (S) Undeclared
identifier ns_c_in.
"../lib/resolv_wrapper/resolv_wrapper.c", line 409.18: 1506-045 (S) Undeclared
identifier ns_c_in.
"../lib/resolv_wrapper/resolv_wrapper.c", line 429.39: 1506-045 (S) Undeclared
identifier ns_t_a.
"../lib/resolv_wrapper/resolv_wrapper.c", line 454.39: 1506-045 (S) Undeclared
identifier ns_t_aaaa.
"../lib/resolv_wrapper/resolv_wrapper.c", line 482.39: 1506-045 (S) Undeclared
identifier ns_t_srv.
"../lib/resolv_wrapper/resolv_wrapper.c", line 525.39: 1506-045 (S) Undeclared
identifier ns_t_soa.
"../lib/resolv_wrapper/resolv_wrapper.c", line 577.39: 1506-045 (S) Undeclared
identifier ns_t_cname.
"../lib/resolv_wrapper/resolv_wrapper.c", line 623.59: 1506-045 (S) Undeclared
identifier ns_t_a.
"../lib/resolv_wrapper/resolv_wrapper.c", line 626.59: 1506-045 (S) Undeclared
identifier ns_t_aaaa.
"../lib/resolv_wrapper/resolv_wrapper.c", line 637.59: 1506-045 (S) Undeclared
identifier ns_t_a.
"../lib/resolv_wrapper/resolv_wrapper.c", line 640.59: 1506-045 (S) Undeclared
identifier ns_t_aaaa.
"../lib/resolv_wrapper/resolv_wrapper.c", line 643.59: 1506-045 (S) Undeclared
identifier ns_t_cname.
"../lib/resolv_wrapper/resolv_wrapper.c", line 698.21: 1506-045 (S) Undeclared
identifier ns_t_a.
"../lib/resolv_wrapper/resolv_wrapper.c", line 701.28: 1506-045 (S) Undeclared
identifier ns_t_aaaa.
"../lib/resolv_wrapper/resolv_wrapper.c", line 705.28: 1506-045 (S) Undeclared
identifier ns_t_srv.
"../lib/resolv_wrapper/resolv_wrapper.c", line 714.28: 1506-045 (S) Undeclared
identifier ns_t_soa.
"../lib/resolv_wrapper/resolv_wrapper.c", line 718.28: 1506-045 (S) Undeclared
identifier ns_t_cname.
"../lib/resolv_wrapper/resolv_wrapper.c", line 777.14: 1506-045 (S) Undeclared
identifier ns_t_a.
"../lib/resolv_wrapper/resolv_wrapper.c", line 777.14: 1506-051 (S) Case
expression must be a valid integral constant.
"../lib/resolv_wrapper/resolv_wrapper.c", line 778.14: 1506-045 (S) Undeclared
identifier ns_t_aaaa.
"../lib/resolv_wrapper/resolv_wrapper.c", line 778.14: 1506-051 (S) Case
expression must be a valid integral constant.
"../lib/resolv_wrapper/resolv_wrapper.c", line 779.14: 1506-045 (S) Undeclared
identifier ns_t_srv.
"../lib/resolv_wrapper/resolv_wrapper.c", line 779.14: 1506-051 (S) Case
expression must be a valid integral constant.
"../lib/resolv_wrapper/resolv_wrapper.c", line 780.14: 1506-045 (S) Undeclared
identifier ns_t_soa.
"../lib/resolv_wrapper/resolv_wrapper.c", line 780.14: 1506-051 (S) Case
expression must be a valid integral constant.
"../lib/resolv_wrapper/resolv_wrapper.c", line 781.14: 1506-045 (S) Undeclared
identifier ns_t_cname.
"../lib/resolv_wrapper/resolv_wrapper.c", line 781.14: 1506-051 (S) Case
expression must be a valid integral constant.
"../lib/resolv_wrapper/resolv_wrapper.c", line 832.14: 1506-045 (S) Undeclared
identifier ns_t_a.
"../lib/resolv_wrapper/resolv_wrapper.c", line 832.14: 1506-051 (S) Case
expression must be a valid integral constant.
"../lib/resolv_wrapper/resolv_wrapper.c", line 835.14: 1506-045 (S) Undeclared
identifier ns_t_aaaa.
"../lib/resolv_wrapper/resolv_wrapper.c", line 835.14: 1506-051 (S) Case
expression must be a valid integral constant.
"../lib/resolv_wrapper/resolv_wrapper.c", line 838.14: 1506-045 (S) Undeclared
identifier ns_t_srv.
"../lib/resolv_wrapper/resolv_wrapper.c", line 838.14: 1506-051 (S) Case
expression must be a valid integral constant.
"../lib/resolv_wrapper/resolv_wrapper.c", line 841.14: 1506-045 (S) Undeclared
identifier ns_t_soa.
"../lib/resolv_wrapper/resolv_wrapper.c", line 841.14: 1506-051 (S) Case
expression must be a valid integral constant.
"../lib/resolv_wrapper/resolv_wrapper.c", line 844.14: 1506-045 (S) Undeclared
identifier ns_t_cname.
"../lib/resolv_wrapper/resolv_wrapper.c", line 844.14: 1506-051 (S) Case
expression must be a valid integral constant.
"../lib/resolv_wrapper/resolv_wrapper.c", line 1317.40: 1506-045 (S) Undeclared
identifier AF_INET.
"../lib/resolv_wrapper/resolv_wrapper.c", line 1407.32: 1506-022 (S) "_u" is
not a member of "struct state".
Comment 1 Guillaume Xavier Taillon 2016-03-01 16:29:44 UTC
Created attachment 11885 [details]
Proposed patch
Comment 2 Andreas Schneider 2016-03-02 12:36:29 UTC
Patch pushed upstream. Thanks!